Categories:
  - Navigation
License: Apache-2.0
WebSite: https://organicmaps.app/
SourceCode: https://github.com/organicmaps/organicmaps
IssueTracker: https://github.com/organicmaps/organicmaps/issues
Changelog: https://github.com/organicmaps/organicmaps/releases

RepoType: git
Repo: https://github.com/organicmaps/organicmaps.git

Builds:
  - versionName: 2021.05.21-6-g6cfa29a770-FDroid
    versionCode: 21052106
    commit: '2021-05-21'
    subdir: android
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.06.07-5-gd4d3b46566-FDroid
    versionCode: 21060705
    commit: '2021-06-07'
    subdir: android
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.06.12-7-g75fd600f97-FDroid
    versionCode: 21061207
    commit: '2021-06-12'
    subdir: android
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.06.20-6-g04b447e390-FDroid
    versionCode: 21062006
    commit: '2021-06-20'
    subdir: android
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.06.23-9-gc3f05a1646-FDroid
    versionCode: 21062309
    commit: '2021-06-23'
    subdir: android
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.07.04-16-g05a2bc44cf-FDroid
    versionCode: 21070416
    commit: 2021.07.04-2
    subdir: android
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.07.08-6-g73931f7918-FDroid
    versionCode: 21070806
    commit: 2021.07.08-3
    subdir: android
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.08.05-15-g31e5587abd-FDroid
    versionCode: 21080515
    commit: 2021.08.05-2-android
    subdir: android
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.08.14-4-FDroid
    versionCode: 21081404
    commit: 0cd28c65c02342421a4cbc9eb5c270851dd06b1f
    subdir: android
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.09.01-6-FDroid
    versionCode: 21090106
    commit: f8414535cf76bf3fb2b5a9775ae0218ee4d10d8a
    subdir: android
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.09.14-4-FDroid
    versionCode: 21091404
    commit: 2fcbda119931dfca714d43e36d7857f908713fc4
    subdir: android
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.10.07-7-FDroid
    versionCode: 21100707
    commit: 1620f5908311b09c3f50bffd3d0a6e534defd3c9
    subdir: android
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.10.09-2-FDroid
    versionCode: 21100902
    commit: 320a1db39b8061881c9d966decbf5c7644713c34
    subdir: android
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

AutoUpdateMode: Version
UpdateCheckMode: Tags .*android$
UpdateCheckData: android/src/fdroid/play/version.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2021.10.09-2-FDroid
CurrentVersionCode: 21100902
